* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

a {
  color: #9243ab;
  text-decoration: none;
}

body {
  line-height: 1.7;
  font-size: 16px;
  background-color: rgb(255, 252, 240);
  font-family: 'Bellota', system-ui;
  font-weight: 400;
  font-style: normal;
  /* background-color: rgb(255, 255, 248); */
}

body > * {
  padding: 32px;
}

i {
  margin-right: 10px;
  color: #9243ab;
}

[id] {
  scroll-margin-top: 40vh;
  scroll-behavior: smooth;
}

/* - * - * - * - * - * - * - * - * - * - * - * - * */

.header {
  height: 100vh;
  position: relative;
}

.header_backdrop {
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  width: 100%;
  max-width: 1920px;

  height: 100%;
  z-index: -1;
  background-image: url(./assets/img/header.png);
  /* background-image: linear-gradient(rgba(265, 265, 265, 0.7), rgba(265, 265, 265, 0.5)), url(./assets/img/header.png); */
  /* background-image: linear-gradient(rgba(213, 162, 111, 0.9), rgba(180, 145, 40, 0.8)); */
  background-size: cover; /* fits the image */
  background-position: center;
  /* clip-path: ellipse(100% 95% at 50% 0); */
}

.header_backdrop-image {
  position: absolute;
  top: 50%;
  left: 50%;

  transform: translate(-50%, -50%);

  width: 90vw;
  max-width: 550px;
  aspect-ratio: 1;
  background-image: linear-gradient(rgba(265, 265, 265, 0.7), rgba(265, 265, 265, 0.5)), url(./assets/img/header.png);
  background-size: cover; /* fits the image */
  background-position: center;

  /* --_m: radial-gradient(#000 70%, #0000 70%) 84.5%/50%;
  -webkit-mask-box-image: var(--_m);
  mask-border: var(--_m);
  clip-path: polygon(-42% 0, 50% 91%, 141% 0); */
  /* clip-path: polygon(50% 0%, 100% 0, 100% 60%, 50% 100%, 0 60%, 0 0); */
  mask: radial-gradient(at 70% 31%, #000 29%, #0000 30%), radial-gradient(at 30% 31%, #000 29%, #0000 30%), linear-gradient(#000 0 0) bottom/100% 50% no-repeat;
  clip-path: polygon(-41% 0, 50% 91%, 140% 0);
}

/* .header_backdrop {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
  background-image: linear-gradient(rgba(265, 265, 265, 0.7), rgba(265, 265, 265, 0.5)), url(./assets/img/tmp.jpg); */
/* background-image: linear-gradient(rgba(213, 162, 111, 0.9), rgba(180, 145, 40, 0.8)), url(./assets/img/tmp.jpg); */
/* background-size: contain; /* fits the image */
/* background-position: center;
  background-repeat: no-repeat;
  max-width: 1000px; or your desired max width */
/* clip-path: ellipse(100% 95% at 50% 0); 
} */

.header_logo {
  position: fixed;
  z-index: 1000;
}

.logo {
  height: 32px;
}

.header_welcome {
  position: fixed;

  bottom: 5%;
  left: 5%;
  height: 200px;
  width: 400px;
  /* background-color: #4b8c00; */
  text-align: center;
}

.header-top {
  position: absolute;
  top: 20px;
  left: 50%;
  transform: translateX(-50%);
  text-align: center;
  color: #9243ab;
  font-size: 1.5rem;
}

.header_welcome-names {
  display: block;
  white-space: nowrap;
  font-size: 6rem;
  width: 300px;
  color: #d8c5f1;

  :first-child {
    position: absolute;
    top: 20%;
    left: 30%;
    transform: translate(-50%, -50%);
  }

  :nth-child(2) {
    position: absolute;
    top: 50%;
    left: 60%;
    font-size: 10rem;
    font-family: 'Work Sans', sans-serif;
    color: rgba(216, 197, 241, 0.6);
    transform: translate(-50%, -50%);
  }

  :last-child {
    bottom: 10%;
    right: 20%;
    position: absolute;
    transform: translate(50%, 30%);
  }
}

.header_welcome-year {
  display: block;
  font-size: 32px;
  transform: translate(0, -10px);
}

.header_savethedate {
  position: absolute;

  left: 50%;
  transform: translateX(-50%);
  bottom: 10%;

  line-height: 1.4;
  text-align: center;
}

.header_savethedate-title {
  display: block;
  font-size: 1.5rem;
}

.header_savethedate-date {
  display: block;
  font-size: 1.2rem;
}

.header_savethedate-hearts {
  display: block;
  font-size: 1.2rem;
  line-height: 2rem;
}

.footer {
  height: 48px;
}

.floating-menu {
  position: fixed;
  right: 0;
  bottom: 40vh;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s, visibility 0.3s;
  z-index: 1000;
}

/* Show floating menu when scrolled past header */
.floating-menu.visible {
  opacity: 1;
  visibility: visible;
}

.floating-menu-item {
  position: relative;
  text-align: center;
  font-size: 24px;
  color: #fff;
  opacity: 1;
  transition: opacity 0.3s;

  margin-top: 10px;
  border-radius: 50%;

  /* background-color: rgb(243, 90, 90); */
  background-color: rgb(146, 67, 171);
  min-width: 50px;
  max-width: 0px;
  min-height: 50px;
  max-height: 0px;
  box-shadow: 2px 2px 8px 2px rgba(0, 0, 0, 0.6);
  /* cursor: pointer; */

  &:active {
    background-color: rgba(146, 67, 171, 0.8);
    /* background-color: rgba(243, 90, 90, .4); */
  }

  a {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }

  a > div {
    position: absolute;
    bottom: -10%;
  }

  a:link,
  a:visited {
    text-decoration: none;
  }

  i {
    margin-right: 0;
    font-size: 1rem;
    color: #fff;
    transform: translate(0, -5px);
  }
}

.floating-menu-item--title {
  font-size: 0.75rem;
  color: #fff;
  position: absolute;

  bottom: 0%;
  left: 50%;
  transform: translateX(-50%);
}

.bg-green {
  background-color: #9cb697;
}

.bg-pink {
  background-color: #ffe4f1;
}

.bg-purple {
  background-color: #d8c5f1;
}

.bg-blue {
  background-color: #c4d0f2;
}

/* - * - * - * - * - * - * - * - * - * - * - * - * */
/* CONTAINER */

.container {
  margin: 0;
  padding: 8px 0;
  width: 100%;
}

.container > * {
  max-width: 1124px;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
}

.container-title {
  position: relative;
  font-size: 4rem;
  font-weight: bold;
  margin-bottom: 1rem;
  padding-left: 32px;
  padding-top: 8px;
  color: #9243ab;
}

.container-title-right {
  text-align: right;
  margin: 0;
  padding-right: 32px;
}

.container-content {
  position: relative;
  align-items: center;
  text-align: center;
  padding: 1.2rem 2rem;
  font-size: 1.2rem;
}

.container-content-text {
  font-size: 1.2rem;
  line-height: 1.6;
  color: #666;
}

.container-content-wrapper {
  display: flex;
  gap: 2rem;
  align-items: space-between;
  justify-content: center;
  max-width: 1024px;
  margin: 0 auto;
}

.container-content-flex {
  flex: 1;
  min-width: 500px;
}
.container-content-flex-3 {
  min-width: 333px;
}

.container-content-flex > img {
  border-radius: 12px;
}

.container-content-flex img {
  width: 100%;
  height: 100%;
  max-width: 800px;
  object-fit: cover;
}

@media (max-width: 1000px) {
  .container-content-wrapper {
    flex-direction: column;
  }

  .container-content-flex {
    height: 300px;
  }

  .container-title {
    font-size: 2.5rem;
  }
}

.container-border {
  max-width: 800px;
  margin: 0 auto;
  padding: 2rem;
  border-radius: 12px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  background-color: #fff;
}

.shadow-border {
  border-radius: 12px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.responsive-image-container {
  position: relative;
  width: 100%;
  max-width: 1200px;
  max-height: 500px;
}

.image-container-tall {
  /* max-width: 368px;
  max-height: 492px; */
}

.image-container-tall > img {
  border-radius: 24px;
}

.responsive-image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover; /* This will cover the container while maintaining aspect ratio */
  border-radius: 8px; /* Optional: adds rounded corners */
}

.intro-title {
  font-size: 1.7rem;
}

.rounded {
  transition: transform 0.3s ease;
  border-radius: 20px;
}

.no-padding-top {
  padding-top: 0;
}

.no-padding-bottom {
  padding-bottom: 0;
}

.box-shadow {
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

/* - * - * - * - * - * - * - * - * - * - * - * - * */
/* ITINERARY */

.itinerary {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 2rem;
  margin: 0 auto;
  min-height: 516px;
  max-width: 800px;
  border-radius: 12px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  background-color: #fff;
  /* margin: 2rem auto; */
}

.itinerary-item {
  display: flex;
  flex-direction: row;
  align-items: center;
  position: relative;
  width: 100%;
  padding: 1rem 0;
  gap: 2rem;
}

/* .itinerary-item:not(:last-child):has(+ div)::after { */

div ~ .itinerary-item:not(:last-child)::after {
  content: '';
  position: absolute;
  left: 2.5rem;
  top: -20%;
  width: 1px;
  height: 2rem;
  background-color: #ddd;
}

.itinerary-time {
  font-size: 1.2rem;
  font-weight: bold;
  min-width: 5rem;
  text-align: right;
}

.itinerary-title {
  font-size: 1rem;
  color: #666;
}

.itinerary-location {
  display: flex;
  flex-direction: column;
  position: absolute;
  right: 2rem;
  text-align: right;
  font-size: 1rem;
  line-height: 1.4;
}

.itinerary-separator {
  /* font-size: 1.3rem;
  font-weight: bold; */
  font-size: 1.8rem;
  margin-bottom: 1.5rem;
  color: #333;
}

.dinner-party {
  display: none;
}

/* - * - * - * - * - * - * - * - * - * - * - * - * */
/* FAQ Styling */

.faq-list {
  max-width: 800px;
  margin: 0 auto;
}

.faq-item {
  margin-bottom: 1rem;
  border: 1px solid rgba(75, 140, 0, 0.2);
  border-radius: 8px;
  overflow: hidden;
  transition: all 0.3s ease;
}

.faq-item:hover {
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

.faq-question {
  background-color: rgba(75, 140, 0, 0.1);
  padding: 1rem 1.5rem;
  font-weight: 600;
  /* cursor: pointer; */
  position: relative;
  transition: background-color 0.3s ease;
}

.faq-question:hover {
  background-color: rgba(75, 140, 0, 0.2);
}

.faq-answer {
  padding: 1rem 1.5rem;
  background-color: white;
  line-height: 1.6;
  color: #666;
}

/* .faq-answer a {
  color: #9243ab;
  text-decoration: none;
  font-weight: 600;
} */

.faq-answer a:hover {
  text-decoration: underline;
}

/* - * - * - * - * - * - * - * - * - * - * - * - * */
/* DRESSCODE */
.dresscode-container {
  max-width: 800px;
  margin: 0 auto;
  padding: 2rem;
  background-color: white;
}

.dresscode-main {
  text-align: center;
  margin-bottom: 2rem;
}

.dresscode-title {
  font-size: 1.8rem;
  margin-bottom: 1.5rem;
  color: #333;
}

.dresscode-title i {
  margin-right: 10px;
  color: #9243ab;
}

.dresscode-description {
  font-size: 1.1rem;
  line-height: 1.6;
  color: #666;
}

.dresscode-colors {
  text-align: center;
}

.dresscode-colors h3 {
  margin-bottom: 1.5rem;
  font-size: 1.4rem;
  color: #333;
}

.color-swatches {
  display: flex;
  justify-content: center;
  gap: 1.5rem;
  flex-wrap: wrap;
}

.color-swatch {
  width: 80px;
  height: 80px;
  border-radius: 50%;
  position: relative;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
  transition: transform 0.3s ease;
}

.color-swatch:hover {
  transform: scale(1.1);
}

.color-name {
  position: absolute;
  bottom: -25px;
  left: 50%;
  transform: translateX(-50%);
  white-space: nowrap;
  font-size: 0.9rem;
  color: #666;
}

.contacts {
  display: flex;
  justify-content: space-around;
  align-items: center;
}

@media (min-width: 1000px) {
  .contacts {
    flex-direction: column;
    height: 100%;
  }
}

.contacts-person {
  flex: 1;
  text-align: center;
  padding: 1rem;
}

.contacts-person-title {
  font-size: 1.7rem;
  margin-bottom: 1.2rem;
  color: #333;
}

.contacts-person-details {
  font-size: 1rem;
  line-height: normal;
  color: #333;
}

/* Add this at the end of your CSS file */

.overlay {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.7);
  z-index: 1000;
  overflow-y: auto;
}

.hidden {
  display: none;
}

.overlay-content {
  position: relative;
  background-color: #fff;
  margin: auto;
  padding: 20px;
  width: 90vw;
  max-width: 1200px;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.overlay-close {
  position: absolute;
  right: 25px;
  top: 10px;
  color: #333;
  font-size: 35px;
  font-weight: bold;
  cursor: pointer;
}

.overlay-close:hover {
  color: #000;
}

.overlay-body {
  padding: 20px;
}

/* Add this for smooth animation */
.overlay.show {
  display: block;
  animation: fadeIn 0.3s ease-in-out;
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

@media screen and (max-width: 768px) {
  .overlay-content {
    margin: 15% auto;
    width: 95%;
    padding: 15px;
  }
}

.btn {
  display: inline-block;
  margin-top: 1rem;
  padding: 0.5rem 1rem;
  color: #9243ab;
  border: rgb(146, 67, 171) 1px solid;
  text-decoration: none;
  border-radius: 30px;
  /* font-weight: bold; */
  cursor: pointer;

  &:hover {
    background-color: rgba(146, 67, 171, 0.4);
    /* background-color: rgba(243, 90, 90, .4); */
  }
}

.btn-right {
  display: flex;
  justify-content: flex-end;
  width: 100%;
}

/* - * - * - * - * - * - * - * - * - * - * - * - * */
/* FOOTER */

.footer {
  position: relative;
  text-align: center;
  color: #fff;
  height: 750px;
}

.footer-full {
  position: absolute;
  top: 0;
  left: 0;

  z-index: -1;

  left: 50%;
  transform: translateX(-50%);

  width: 100%;
  /* max-width: 1600px; */
  height: 583px;
  background-image: url(./assets/img/footer.png);
  background-position: center;
  /* background-repeat: no-repeat; */
}

.footer-rsvp {
  position: absolute;
  bottom: 70px;
  left: 50%;
  transform: translateX(-50%);
  width: 100%;
}

.footer-rsvp-btn {
  width: 100px;
}
